/*
Package cribbage provides cribbage scoring.

Cards

To retrieve the cribbage value of a card:

    cribbageValue := cribbage.Value(card)

Scoring

To score a play, supply a discard pile:

    pegPoints, pegResult := cribbage.Score(cribbage.Peg, discard, Card{})

To score a shown hand, supply a hand and a starter card:

    handPoints, handResult := cribbage.Score(cribbage.ShownHand, hand, starter)
*/
package cribbage
